org.apache.maven.monitor.logging

## Class DefaultLog

- java.lang.Object
- - org.apache.maven.monitor.logging.DefaultLog

All Implemented Interfaces:
  Log

    public class DefaultLog
    extends java.lang.Object
    implements Log

Author:
  jdcasey

### Constructor Summary

Constructors
Constructor and Description
`DefaultLog(Logger logger)`

### Method Summary

Methods
`void` `debug(java.lang.CharSequence content)` Send a message to the user in the debug error level.
`void` `debug(java.lang.CharSequence content, java.lang.Throwable error)` Send a message (and accompanying exception) to the user in the debug error level.
`void` `debug(java.lang.Throwable error)` Send an exception to the user in the debug error level.
`void` `error(java.lang.CharSequence content)` Send a message to the user in the error error level.
`void` `error(java.lang.CharSequence content, java.lang.Throwable error)` Send a message (and accompanying exception) to the user in the error error level.
`void` `error(java.lang.Throwable error)` Send an exception to the user in the error error level.
`void` `info(java.lang.CharSequence content)` Send a message to the user in the info error level.
`void` `info(java.lang.CharSequence content, java.lang.Throwable error)` Send a message (and accompanying exception) to the user in the info error level.
`void` `info(java.lang.Throwable error)` Send an exception to the user in the info error level.
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isWarnEnabled()`
`void` `warn(java.lang.CharSequence content)` Send a message to the user in the warn error level.
`void` `warn(java.lang.CharSequence content, java.lang.Throwable error)` Send a message (and accompanying exception) to the user in the warn error level.
`void` `warn(java.lang.Throwable error)` Send an exception to the user in the warn error level.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultLog

    public DefaultLog(Logger logger)

### Method Detail

#### debug

    public void debug(java.lang.CharSequence content)

Description copied from interface: `Log`
Send a message to the user in the debug error level.

Specified by:
  `debug` in interface `Log`

#### debug

    public void debug(java.lang.CharSequence content,
             java.lang.Throwable error)

Description copied from interface: `Log`
Send a message (and accompanying exception) to the user in the debug error level.
The error's stacktrace will be output when this error level is enabled.

Specified by:
  `debug` in interface `Log`

#### debug

    public void debug(java.lang.Throwable error)

Description copied from interface: `Log`
Send an exception to the user in the debug error level.
The stack trace for this exception will be output when this error level is enabled.

Specified by:
  `debug` in interface `Log`

#### info

    public void info(java.lang.CharSequence content)

Description copied from interface: `Log`
Send a message to the user in the info error level.

Specified by:
  `info` in interface `Log`

#### info

    public void info(java.lang.CharSequence content,
            java.lang.Throwable error)

Description copied from interface: `Log`
Send a message (and accompanying exception) to the user in the info error level.
The error's stacktrace will be output when this error level is enabled.

Specified by:
  `info` in interface `Log`

#### info

    public void info(java.lang.Throwable error)

Description copied from interface: `Log`
Send an exception to the user in the info error level.
The stack trace for this exception will be output when this error level is enabled.

Specified by:
  `info` in interface `Log`

#### warn

    public void warn(java.lang.CharSequence content)

Description copied from interface: `Log`
Send a message to the user in the warn error level.

Specified by:
  `warn` in interface `Log`

#### warn

    public void warn(java.lang.CharSequence content,
            java.lang.Throwable error)

Description copied from interface: `Log`
Send a message (and accompanying exception) to the user in the warn error level.
The error's stacktrace will be output when this error level is enabled.

Specified by:
  `warn` in interface `Log`

#### warn

    public void warn(java.lang.Throwable error)

Description copied from interface: `Log`
Send an exception to the user in the warn error level.
The stack trace for this exception will be output when this error level is enabled.

Specified by:
  `warn` in interface `Log`

#### error

    public void error(java.lang.CharSequence content)

Description copied from interface: `Log`
Send a message to the user in the error error level.

Specified by:
  `error` in interface `Log`

#### error

    public void error(java.lang.CharSequence content,
             java.lang.Throwable error)

Description copied from interface: `Log`
Send a message (and accompanying exception) to the user in the error error level.
The error's stacktrace will be output when this error level is enabled.

Specified by:
  `error` in interface `Log`

#### error

    public void error(java.lang.Throwable error)

Description copied from interface: `Log`
Send an exception to the user in the error error level.
The stack trace for this exception will be output when this error level is enabled.

Specified by:
  `error` in interface `Log`

#### isDebugEnabled

    public boolean isDebugEnabled()

Specified by:
  `isDebugEnabled` in interface `Log`
Returns:
  true if the debug error level is enabled

#### isInfoEnabled

    public boolean isInfoEnabled()

Specified by:
  `isInfoEnabled` in interface `Log`
Returns:
  true if the info error level is enabled

#### isWarnEnabled

    public boolean isWarnEnabled()

Specified by:
  `isWarnEnabled` in interface `Log`
Returns:
  true if the warn error level is enabled

#### isErrorEnabled

    public boolean isErrorEnabled()

Specified by:
  `isErrorEnabled` in interface `Log`
Returns:
  true if the error error level is enabled